<!doctype html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Hola Mundo</title>
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

</head>

<body class="container">


<div id="app">
    <h1>{{titulo}}</h1>
    <input type="text" v-model="nuevaFruta" @keyup.enter="agregarFruta">
    <button class="waves-effect waves-light btn" @click="agregarFruta">Agregar</button>


    <ul class="collection">
        <li class="collection-item" v-for="fruta of frutas">


            <table class="striped" >
                <thead  >
                <tr>
                    <th></th>
                    <th>Nombre Fruta</th>
                    <th></th>
                </tr>
                </thead>

                <tbody>
                <tr>
                    <td>
                        <button class="waves-effect waves-light btn" @click="fruta.cantidad--">-</button>
                    <td>
                        {{fruta.nombre}}
                    </td>
                    <td>
                        <input type="number" v-model.number="fruta.cantidad">
                        <span v-if="fruta.cantidad <= 0"> Sin stock</span>
                    </td>
                    <td>
                        <button class="waves-effect waves-light btn" @click="fruta.cantidad++">+</button>
                    </td>
                </tr>
                </tbody>
            </table>


        </li>
    </ul>


    <h4>Total: {{sumarFrutas}}</h4>
</div>


<script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script>
<script src="01.js"></script>
</body>
</html>